document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handling
  const form = document.querySelector('.contact-form');
  if (form) {
    form.addEventListener('submit', (e) => {
      e.preventDefault();
      // Add form submission logic here
      alert('Thank you for your message. We will get back to you soon!');
      form.reset();
    });
  }

  // Navigation menu toggle for mobile
  const nav = document.querySelector('.nav-links');
  const createMobileMenu = () => {
    if (window.innerWidth <= 768) {
      nav.style.display = 'none';
      const menuButton = document.createElement('button');
      menuButton.innerHTML = '☰';
      menuButton.className = 'mobile-menu-button';
      menuButton.onclick = () => {
        nav.style.display = nav.style.display === 'none' ? 'flex' : 'none';
      };
      nav.parentNode.insertBefore(menuButton, nav);
    }
  };
  
  window.addEventListener('resize', createMobileMenu);
  createMobileMenu();
});